#ifndef DRAWLABEL_H
#define DRAWLABEL_H

#include <QLabel>
#include <QLine>
#include <QPainter>
#include <QObject>
#include <qevent.h>

#define PLOT_WIDTH 300
#define PLOT_HEIGHT 200

class DrawLabel : public QLabel
{
    Q_OBJECT

public:
    DrawLabel (QWidget *parent = 0);
    ~DrawLabel();
   void paintEvent(QPaintEvent *evt);
   void draw(QLine line);
   void drawEllipse(QRect rect);
   QLine clip(QLine line);

    QLine *lines;
    QRect ellipseRect;
    qreal angle;
    int count;
    qreal rotationAngle;
    bool enableEllipse;
};

#endif // DRAWLABEL_H
